org.apache.tomcat.util.bcel.classfile

## Class InnerClass

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.InnerClass

All Implemented Interfaces:
  Serializable, Cloneable

    public final class InnerClass
    extends Object
    implements Cloneable, Serializable

This class represents a inner class attribute, i.e., the class indices of the inner and outer classes, the name and the attributes of the inner class.

Author:
  M. Dahm
See Also:
  `InnerClasses`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InnerClass(int inner_class_index, int outer_class_index, int inner_name_index, int inner_access_flags)`

### Method Summary

Methods
`InnerClass` `copy()`
`void` `dump(DataOutputStream file)` Dump inner class attribute to file stream in binary format.
`String` `toString()`
`String` `toString(ConstantPool constant_pool)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InnerClass

    public InnerClass(int inner_class_index,
              int outer_class_index,
              int inner_name_index,
              int inner_access_flags)

Parameters:
  `inner_class_index` - Class index in constant pool of inner class
  `outer_class_index` - Class index in constant pool of outer class
  `inner_name_index` - Name index in constant pool of inner class
  `inner_access_flags` - Access flags of inner class

### Method Detail

#### dump

    public final void dump(DataOutputStream file)
                    throws IOException

Dump inner class attribute to file stream in binary format.

Parameters:
  `file` - Output file stream
Throws:
  `IOException`

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`
Returns:
  String representation.

#### toString

    public final String toString(ConstantPool constant_pool)

Returns:
  Resolved string representation

#### copy

    public InnerClass copy()

Returns:
  deep copy of this object